# Interface SegmentationConfig

Configures all body segmentation module removes background from input containing person if segmentation is enabled it will run as preprocessing task before any other model alternatively leave it disabled and use it on-demand using human.segmentation method which can remove background or replace it with user-provided background

#### Hierarchy

- GenericConfig
  - SegmentationConfig

- Defined in src/config.ts:157

#####
Index

### Properties

enabled
mode
modelPath
ratio
skipFrames
skipTime

## Properties

### enabled

enabled: boolean

is module enabled?

Inherited from GenericConfig.enabled

- Defined in src/config.ts:15

### mode

mode: SegmentationEnum

possible rvm segmentation mode

- Defined in src/config.ts:161

### modelPath

modelPath: string

path to model json file (relative to `modelBasePath`

Inherited from GenericConfig.modelPath

- Defined in src/config.ts:17

### ratio

ratio: number

downsample ratio, adjust to reflect approximately how much of input is taken by body

- Defined in src/config.ts:159

### skipFrames

skipFrames: number

how many max frames to go without re-running model if cached results are acceptable for two-phase models such as face and hand caching applies to bounding boxes detection only

Inherited from GenericConfig.skipFrames

- Defined in src/config.ts:20

### skipTime

skipTime: number

how many max milliseconds to go without re-running model if cached results are acceptable for two-phase models such as face and hand caching applies to bounding boxes detection only

Inherited from GenericConfig.skipTime

- Defined in src/config.ts:23